package com.mortals.xhx.base.system.gentable.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.base.system.gentable.model.GentableEntity;
import com.mortals.xhx.base.system.gentable.model.GentableQuery;

/**
* <p>Title: 代码生成业务表</p>
* <p>Description: GentableForm  </p>
* @author
* @version 1.0.0
*/
public class GentableForm extends BaseCRUDFormLong<GentableEntity> {
    private GentableEntity entity = new GentableEntity();
    private GentableQuery query = new GentableQuery();
    public GentableForm(){

    }

    @Override
    public GentableEntity getEntity() {
    return entity;
    }

    public void setGentable(GentableEntity entity) {
    this.entity = entity;
    }

    @Override
    public GentableQuery getQuery() {
    return query;
    }

    public void setQuery(GentableQuery query) {
    this.query = query;
    }
}